Package com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructNFSv2client

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructNFSv2client

- Enclosing class:
    Perfstat.perfstat_protocol_t

      @FieldOrder({"calls","nullreq","getattr","setattr","root","lookup","readlink","read","writecache","write","create","remove","rename","link","symlink","mkdir","rmdir","readdir","statfs"})
      public static class Perfstat.perfstat_protocol_t.AnonymousStructNFSv2client
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `calls` |
    `long` | `create` |
    `long` | `getattr` |
    `long` | `link` |
    `long` | `lookup` |
    `long` | `mkdir` |
    `long` | `nullreq` |
    `long` | `read` |
    `long` | `readdir` |
    `long` | `readlink` |
    `long` | `remove` |
    `long` | `rename` |
    `long` | `rmdir` |
    `long` | `root` |
    `long` | `setattr` |
    `long` | `statfs` |
    `long` | `symlink` |
    `long` | `write` |
    `long` | `writecache` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnonymousStructNFSv2client()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### calls

          public long calls

    - #### nullreq

          public long nullreq

    - #### getattr

          public long getattr

    - #### setattr

          public long setattr

    - #### root

          public long root

    - #### lookup

          public long lookup

    - #### readlink

          public long readlink

    - #### read

          public long read

    - #### writecache

          public long writecache

    - #### write

          public long write

    - #### create

          public long create

    - #### remove

          public long remove

    - #### rename

          public long rename

    - #### link

          public long link

    - #### symlink

          public long symlink

    - #### mkdir

          public long mkdir

    - #### rmdir

          public long rmdir

    - #### readdir

          public long readdir

    - #### statfs

          public long statfs

  - ### Constructor Detail

    - #### AnonymousStructNFSv2client

          public AnonymousStructNFSv2client()